bcTsallis <-
function(Ns, q, Correction="Best", CheckArguments = TRUE) 
{
  if (CheckArguments)
    CheckentropartArguments()
  
  # No correction
  if (Correction == "None") {
    return(Tsallis(Ns/sum(Ns), q))
  }   
  
  # Shannon
  if (q == 1) {
    if (Correction == "Best") {
      ChaoShen <- bcShannon(Ns, Correction="ChaoShen", CheckArguments=FALSE)
      Grassberger <- bcShannon(Ns, Correction="Grassberger", CheckArguments=FALSE)
      return(max(ChaoShen, Grassberger))
    } else {
      return (bcShannon(Ns, Correction=Correction, CheckArguments=FALSE))
    }
  }
  
  # Not Shannon
  # Eliminate 0
  Ns <- Ns[Ns > 0]
  N <- sum(Ns)
  SampleCoverage <- Coverage(Ns, CheckArguments=FALSE)
  if (Correction == "ChaoShen" | Correction == "Best" | Correction == "HTGrassberger") {
    CPs <- SampleCoverage*Ns/N 
  } 
  if (Correction == "ChaoShen" | Correction == "Best") {
  	ChaoShen <- -sum(CPs^q * lnq(CPs,q) /(1 - (1-CPs)^N))
  } 
  if (Correction == "ChaoShen") {
    return(ChaoShen)
  }
  if (Correction == "Grassberger" | Correction == "Best") {
    Grassberger <- (1-N^(-q)*sum(Enq(Ns, q)))/(q-1)
  }
  if (Correction == "Grassberger") {
    return(Grassberger)
  }
  if (Correction == "Best") {
    return(max(ChaoShen, Grassberger))
  }
  if (Correction == "Holste") {
   return(1/(1-q)*(beta(length(Ns)+N, q)*sum(1/beta(Ns+1, q))-1))  
  } 
  if (Correction == "Bonachela") {
  return(1/(1-q)*(beta(2+N, q)*sum(1/beta(Ns+1, q))-1))  
  } 
  warning("Correction was not recognized")
  return (NA)
}
